all.equal-methods {Matrix} | R Documentation

## Matrix Package Methods for Function all.equal()

### Description

Methods for function `all.equal()` (from R package base) are defined for all `Matrix` classes.

### Methods

target = "Matrix", current = "Matrix"

  \

target = "ANY", current = "Matrix"

  \

target = "Matrix", current = "ANY"

  these three methods are simply using `all.equal.numeric` directly and work via `as.vector()`.

### Examples

    (A <- spMatrix(3,3, i= c(1:3,2:1), j=c(3:1,1:2), x = 1:5))
    ex <- expand(lu. <- lu(A))
    stopifnot( all.equal(as(A[lu.@p + 1L, lu.@q + 1L], "CsparseMatrix"),
                         lu.@L %*% lu.@U),
               with(ex, all.equal(as(P %*% A %*% Q, "CsparseMatrix"),
                                  L %*% U)),
               with(ex, all.equal(as(A, "CsparseMatrix"),
                                  t(P) %*% L %*% U %*% t(Q))))

[Package Matrix version 1.0-6 Index]